
From: Matt Tolentino <metolent@snoqualmie.dp.intel.com>

The /proc support for efi 'stuff' isn't used/needed anymore, yet the
efi_dir declaration remains.  This removes it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/efi.h |    7 -------
 1 files changed, 7 deletions(-)

diff -puN include/linux/efi.h~kill-off-efi_dir-in-efih include/linux/efi.h
--- 25/include/linux/efi.h~kill-off-efi_dir-in-efih	Wed Jun  2 15:03:00 2004
+++ 25-akpm/include/linux/efi.h	Wed Jun  2 15:03:00 2004
@@ -370,11 +370,4 @@ struct efi_generic_dev_path {
 	u16 length;
 } __attribute ((packed));
 
-/*
- * efi_dir is allocated in arch/ia64/kernel/efi.c.
- */
-#ifdef CONFIG_PROC_FS
-extern struct proc_dir_entry *efi_dir;
-#endif
-
 #endif /* _LINUX_EFI_H */
_
